---
agentTools:
  projectIndex: https://sb-biodatacatalyst.readme.io/llms.txt
---

# Complete a multipart upload

/upload/multipart/{upload_id}/complete

This call must be issued to report the completion of a file upload.

An optional list of remaining parts may be given in the body of this request. The format of this list is the same as described in [Report uploaded parts](https://sb-biodatacatalyst.readme.io/docs/report-uploaded-parts).

[block:code]
{
  "codes": [
    {
      "code": "https://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/upload/multipart/{upload_id}/complete",
      "language": "text",
      "name": "Path"
    }
  ]
}
[/block]

\##Request

\###Example request

[block:code]
{
  "codes": [
    {
      "code": "POST /v2/upload/multipart/8rand0mz18Ek4TjT5bIyCNdijDRJBwTLjSRiCaggkYjSHkKiLlNyVPt4BNpFUGI4/complete HTTP/1.1\nHost: api.sb.biodatacatalyst.nhlbi.nih.gov\nX-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f74\n",
      "language": "http",
      "name": null
    },
    {
      "code": "curl -s -H \"X-SBG-Auth-Token: 7942f56901534434a054dafc3813bc96\" -H \"content-type: application/json\" -X DELETE \"https://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/upload/multipart/8rand0mz18Ek4TjT5bIyCNdijDRJBwTLjSRiCaggkYjSHkKiLlNyVPt4BNpFUGI4/complete\"",
      "language": "curl",
      "name": "cURL"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`X-SBG-Auth-Token`\n_required_",
    "0-1": "Your [authentication token](https://sb-biodatacatalyst.readme.io/docs/get-your-authentication-token).",
    "h-2": "",
    "1-0": "`Content-Type`\n_required_",
    "1-1": "`application/json`"
  },
  "cols": 2,
  "rows": 2
}
[/block]

\###Path parameters

[block:parameters]
{
  "data": {
    "0-0": "`upload_id`",
    "h-0": "Name",
    "h-1": "Description",
    "0-1": "The ID for the upload, returned by the call to [initialize a multipart upload](https://sb-biodatacatalyst.readme.io/docs/initialize-a-multipart-upload)."
  },
  "cols": 2,
  "rows": 1
}
[/block]

\##Response
[See a list of response codes that may be contained in the body of the response.](https://sb-biodatacatalyst.readme.io/docs/api-status-codes)

\###Example response body

[block:code]
{
  "codes": [
    {
      "code": "{\n  \"href\": \"http://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/files/567890abc9b0307bc0414164\",\n  \"path\": \"/Projects/67f68072-45b6-12b3-789c-37be8b0f2f04/CanFam3.1.dna_rm.toplevel.fa.gz\",\n  \"id\": \"567890abc9b0307bc0414164\",\n  \"project\": \"RFranklin/my-project\",\n  \"name\": \"CanFam3.1.dna_rm.toplevel.fa.gz\",\n  \"type\": \"file\",\n  \"size\": 433759572,\n  \"created_on\": \"2016-02-27T16:36:41Z\",\n  \"modified_on\": \"2016-02-27T16:36:41Z\"\n}",
      "language": "json",
      "name": "JSON"
    }
  ],
  "sidebar": true
}
[/block]